package javax.xml.ws;

import java.lang.annotation.Documented;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

@Target({ ElementType.TYPE, ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface WebServiceRef {
    public abstract String name() default "";
    
    public abstract Class<?> type() default Object.class;
    
    public abstract String mappedName() default "";
    
    public abstract Class<? extends Service> value() default Service.class;
    
    public abstract String wsdlLocation() default "";
    
    public abstract String lookup() default "";
}
